import { GeorouterSettings } from '../types/georouter-settings.type';
import { Role } from '../../domain/ad.types';
import { Waypoint } from '../types/waypoint.type';
import { Route } from '../types/route.type';

export interface RouteProviderPort {
  get(
    roles: Role[],
    waypoints: Waypoint[],
    georouterSettings: GeorouterSettings,
  ): Route;
}
