import { AlgorithmType } from './algorithm.enum';

export type DefaultAlgorithmSettings = {
  ALGORITHM: AlgorithmType;
  STRICT: boolean;
  REMOTENESS: number;
  USE_PROPORTION: boolean;
  PROPORTION: number;
  USE_AZIMUTH: boolean;
  AZIMUTH_MARGIN: number;
  MAX_DETOUR_DISTANCE_RATIO: number;
  MAX_DETOUR_DURATION_RATIO: number;
  GEOROUTER_TYPE: string;
  GEOROUTER_URL: string;
};
