import { PathType } from '../../domain/route.types';
import { Coordinates } from './coordinates.type';
import { SpacetimePoint } from './spacetime-point.type';

export type Route = {
  type: PathType;
  distance: number;
  duration: number;
  fwdAzimuth: number;
  backAzimuth: number;
  distanceAzimuth: number;
  points: Coordinates[];
  spacetimePoints: SpacetimePoint[];
};
